edgelet/api/managementVersion_2020_07_07.yaml [299:664]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
        - in: query
          name: since
          description: Only return logs since this time, as a duration (1 day, 1d, 90m, 2 days 3 hours 2 minutes), rfc3339 timestamp, or UNIX timestamp.
          type: string
          default: "0"
      responses:
        '101':
          description: Logs returned as a stream
        '200':
          description: Logs returned as a string in response body
        '404':
          description: Not Found
          schema:
            $ref: '#/definitions/ErrorResponse'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'

  '/identities/':
    get:
      tags:
        - Identity
      summary: List identities.
      produces:
        - application/json
      description: |
        This returns the list of current known idenities.
      operationId: ListIdentities
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
          schema:
            $ref: '#/definitions/IdentityList'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
    post:
      tags:
        - Identity
      summary: Create an identity.
      operationId: CreateIdentity
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/api-version'
        - in: body
          name: identity
          required: true
          schema:
            $ref: '#/definitions/IdentitySpec'
      responses:
        '200':
          description: Created
          schema:
            $ref: '#/definitions/Identity'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
  '/identities/{name}':
    put:
      tags:
        - Identity
      summary: Update an identity.
      operationId: UpdateIdentity
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/api-version'
        - in: path
          name: name
          description: The name of the identity to update. (urlencoded)
          required: true
          type: string
        - in: body
          name: updateinfo
          required: true
          schema:
            $ref: '#/definitions/UpdateIdentity'
      responses:
        '200':
          description: Updated
          schema:
            $ref: '#/definitions/Identity'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
    delete:
      tags:
        - Identity
      summary: Delete an identity.
      operationId: DeleteIdentity
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/api-version'
        - in: path
          name: name
          description: The name of the identity to delete. (urlencoded)
          required: true
          type: string
      responses:
        '204':
          description: Ok
        '404':
          description: Not Found
          schema:
            $ref: '#/definitions/ErrorResponse'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
            
  /systeminfo:
    get:
      tags:
        - SystemInformation
      summary: Return host system information.
      produces:
        - application/json
      operationId: GetSystemInfo
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
          schema:
            $ref: '#/definitions/SystemInfo'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'

  '/systeminfo/resources':
    get:
      tags:
        - SystemInformation
      summary: Return host resource usage (DISK, RAM, CPU).
      produces:
        - application/json
      operationId: GetSystemResources
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
          schema:
            $ref: '#/definitions/SystemResources'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
  
  '/systeminfo/supportbundle':
    get:
      tags:
        - SystemInformation
      summary: Return zip of support bundle.
      produces:
        - application/zip
      operationId: GetSupportBundle
      parameters:
        - $ref: '#/parameters/api-version'
        - in: query
          name: since
          description: Duration to get logs from. Can be relative (1d, 10m, 1h30m etc.) or absolute (unix timestamp or rfc 3339)
          required: false
          type: string
        - in: query
          name: host
          description: Path to the management host
          required: false
          type: string
        - in: query
          name: iothub_hostname
          description: Hub to use when calling iotedge check
          required: false
          type: string
        - in: query
          name: edge_runtime_only
          description: Exclude customer module logs
          required: false
          type: boolean
          default: false
      responses:
        '200':
          description: Ok
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'

  '/device/reprovision':
    post:
      tags:
        - DeviceActions
      summary: Trigger a device reprovisioning flow.
      operationId: ReprovisionDevice
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
            
definitions:
  ModuleList:
    type: object
    properties:
      modules:
        type: array
        items:
          $ref: '#/definitions/ModuleDetails'
    required:
      - modules
  ModuleDetails:
    type: object
    properties:
      id:
        type: string
        description: System generated unique identitier.
        example: happy_hawking
      name:
        type: string
        description: The name of the module.
        example: edgeHub
      type:
        type: string
        description: The type of a module.
        example: docker
      config:
        $ref: '#/definitions/Config'
      status:
        $ref: '#/definitions/Status'
    required:
      - id
      - name
      - type
      - config
      - status
  ModuleSpec:
    type: object
    properties:
      name:
        type: string
        description: The name of a the module.
        example: edgeHub
      type:
        type: string
        example: docker
      imagePullPolicy:
        type: string
        enum:
          - On-Create
          - Never
        example: "On-Create"
      config:
        $ref: '#/definitions/Config'
    required:
      - name
      - type
      - config
  Config:
    type: object
    properties:
      settings:
        type: object
        example:
          image: "microsoft/azureiotedge-hub:1.0"
          createOptions:
            HostConfig:
              PortBindings:
                "22/tcp":
                  - HostPort: "11022"
      env:
        type: array
        items:
          $ref: '#/definitions/EnvVar'
    required:
      - settings
  Status:
    type: object
    properties:
      startTime:
        type: string
        format: date-time
      exitStatus:
        $ref: '#/definitions/ExitStatus'
      runtimeStatus:
        $ref: '#/definitions/RuntimeStatus'
    required:
      - runtimeStatus
  EnvVar:
    type: object
    properties:
      key:
        type: string
        example: the_key
      value:
        type: string
        example: the_value
    required:
      - key
      - value
  ExitStatus:
    type: object
    properties:
      exitTime:
        type: string
        format: date-time
      statusCode:
        type: string
    required:
      - exitTime
      - statusCode
    example:
      exitTime: '2018-04-03T09:31:00.000Z'
      statusCode: '101'
  RuntimeStatus:
    type: object
    properties:
      status:
        type: string
      description:
        type: string
    required:
      - status
    example:
      status: the status
      description: the description
  SystemInfo:
    type: object
    properties:
      osType:
        type: string
      architecture:
        type: string
      version:
        type: string
      provisioning:
        type: '#/definitions/Provisioning'
      server_version:
        type: string
      kernel_version:
        type: string
      operating_system:
        type: string
      cpus:
        type: integer
      virtualized:
        type: string        
    required:
      - osType
      - architecture
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



edgelet/api/managementVersion_2021_05_11.yaml [304:669]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
        - in: query
          name: since
          description: Only return logs since this time, as a duration (1 day, 1d, 90m, 2 days 3 hours 2 minutes), rfc3339 timestamp, or UNIX timestamp.
          type: string
          default: "0"
      responses:
        '101':
          description: Logs returned as a stream
        '200':
          description: Logs returned as a string in response body
        '404':
          description: Not Found
          schema:
            $ref: '#/definitions/ErrorResponse'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'

  '/identities/':
    get:
      tags:
        - Identity
      summary: List identities.
      produces:
        - application/json
      description: |
        This returns the list of current known idenities.
      operationId: ListIdentities
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
          schema:
            $ref: '#/definitions/IdentityList'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
    post:
      tags:
        - Identity
      summary: Create an identity.
      operationId: CreateIdentity
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/api-version'
        - in: body
          name: identity
          required: true
          schema:
            $ref: '#/definitions/IdentitySpec'
      responses:
        '200':
          description: Created
          schema:
            $ref: '#/definitions/Identity'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
  '/identities/{name}':
    put:
      tags:
        - Identity
      summary: Update an identity.
      operationId: UpdateIdentity
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/api-version'
        - in: path
          name: name
          description: The name of the identity to update. (urlencoded)
          required: true
          type: string
        - in: body
          name: updateinfo
          required: true
          schema:
            $ref: '#/definitions/UpdateIdentity'
      responses:
        '200':
          description: Updated
          schema:
            $ref: '#/definitions/Identity'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
    delete:
      tags:
        - Identity
      summary: Delete an identity.
      operationId: DeleteIdentity
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/api-version'
        - in: path
          name: name
          description: The name of the identity to delete. (urlencoded)
          required: true
          type: string
      responses:
        '204':
          description: Ok
        '404':
          description: Not Found
          schema:
            $ref: '#/definitions/ErrorResponse'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
            
  /systeminfo:
    get:
      tags:
        - SystemInformation
      summary: Return host system information.
      produces:
        - application/json
      operationId: GetSystemInfo
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
          schema:
            $ref: '#/definitions/SystemInfo'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'

  '/systeminfo/resources':
    get:
      tags:
        - SystemInformation
      summary: Return host resource usage (DISK, RAM, CPU).
      produces:
        - application/json
      operationId: GetSystemResources
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
          schema:
            $ref: '#/definitions/SystemResources'
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
  
  '/systeminfo/supportbundle':
    get:
      tags:
        - SystemInformation
      summary: Return zip of support bundle.
      produces:
        - application/zip
      operationId: GetSupportBundle
      parameters:
        - $ref: '#/parameters/api-version'
        - in: query
          name: since
          description: Duration to get logs from. Can be relative (1d, 10m, 1h30m etc.) or absolute (unix timestamp or rfc 3339)
          required: false
          type: string
        - in: query
          name: host
          description: Path to the management host
          required: false
          type: string
        - in: query
          name: iothub_hostname
          description: Hub to use when calling iotedge check
          required: false
          type: string
        - in: query
          name: edge_runtime_only
          description: Exclude customer module logs
          required: false
          type: boolean
          default: false
      responses:
        '200':
          description: Ok
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'

  '/device/reprovision':
    post:
      tags:
        - DeviceActions
      summary: Trigger a device reprovisioning flow.
      operationId: ReprovisionDevice
      parameters:
        - $ref: '#/parameters/api-version'
      responses:
        '200':
          description: Ok
        default:
          description: Error
          schema:
            $ref: '#/definitions/ErrorResponse'
            
definitions:
  ModuleList:
    type: object
    properties:
      modules:
        type: array
        items:
          $ref: '#/definitions/ModuleDetails'
    required:
      - modules
  ModuleDetails:
    type: object
    properties:
      id:
        type: string
        description: System generated unique identitier.
        example: happy_hawking
      name:
        type: string
        description: The name of the module.
        example: edgeHub
      type:
        type: string
        description: The type of a module.
        example: docker
      config:
        $ref: '#/definitions/Config'
      status:
        $ref: '#/definitions/Status'
    required:
      - id
      - name
      - type
      - config
      - status
  ModuleSpec:
    type: object
    properties:
      name:
        type: string
        description: The name of a the module.
        example: edgeHub
      type:
        type: string
        example: docker
      imagePullPolicy:
        type: string
        enum:
          - On-Create
          - Never
        example: "On-Create"
      config:
        $ref: '#/definitions/Config'
    required:
      - name
      - type
      - config
  Config:
    type: object
    properties:
      settings:
        type: object
        example:
          image: "microsoft/azureiotedge-hub:1.0"
          createOptions:
            HostConfig:
              PortBindings:
                "22/tcp":
                  - HostPort: "11022"
      env:
        type: array
        items:
          $ref: '#/definitions/EnvVar'
    required:
      - settings
  Status:
    type: object
    properties:
      startTime:
        type: string
        format: date-time
      exitStatus:
        $ref: '#/definitions/ExitStatus'
      runtimeStatus:
        $ref: '#/definitions/RuntimeStatus'
    required:
      - runtimeStatus
  EnvVar:
    type: object
    properties:
      key:
        type: string
        example: the_key
      value:
        type: string
        example: the_value
    required:
      - key
      - value
  ExitStatus:
    type: object
    properties:
      exitTime:
        type: string
        format: date-time
      statusCode:
        type: string
    required:
      - exitTime
      - statusCode
    example:
      exitTime: '2018-04-03T09:31:00.000Z'
      statusCode: '101'
  RuntimeStatus:
    type: object
    properties:
      status:
        type: string
      description:
        type: string
    required:
      - status
    example:
      status: the status
      description: the description
  SystemInfo:
    type: object
    properties:
      osType:
        type: string
      architecture:
        type: string
      version:
        type: string
      provisioning:
        type: '#/definitions/Provisioning'
      server_version:
        type: string
      kernel_version:
        type: string
      operating_system:
        type: string
      cpus:
        type: integer
      virtualized:
        type: string        
    required:
      - osType
      - architecture
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



